# RPM specfile for galeon module
# Generated Tue Sep 17 13:22:15 2002 GMT by Ximian build system
# $Id: bb_do,v 1.193 2002/09/10 14:45:10 thunder Exp $
# from $Id: ximian-build.conf,v 1.44 2002/07/01 14:19:21 frb Exp $

%define nam	galeon
%define ver	1.2.6
%define ximrev	1

Name:     	galeon
Version: 	1.2.6
Release:	1.ximian.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 7.1 / i386
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

Source0:	galeon-1.2.6.tar.gz
Patch0:		galeon-xpm.patch
Patch1:		galeon-1.2.6-against-mozilla-1.0.1.patch
Summary:	Mozilla-based web browser with the GNOME look and feel
Group:		Applications/Internet
Requires:	mozilla >= 35:1.0.1
Provides:	ximian-default = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Prereq:	GConf >= 1.0.9
Prereq:	scrollkeeper

%description
Galeon is a lightweight web browser which employs the GNOME
infrastructure to create a minimal, but intuitive, GUI.

Galeon's use of Mozilla's Gecko rendering engine makes it
more feature complete and standards compliant than other
lightweight browsers.

%files
%defattr(-, root, root)
%doc COPYING.README FAQ INSTALL NEWS README TODO
/etc/sound/events/galeon.soundlist
/etc/gconf/schemas/galeon.schemas
/usr/bin/*
/usr/share/galeon/*
/usr/lib/galeon/components/*
/usr/share/gnome/apps/Internet/*
/usr/share/icons/galeon.xpm
/usr/*/locale/*/LC_MESSAGES/*
/usr/share/oaf/GNOME_Galeon_Automation.oaf
/usr/share/sounds/galeon/*
/usr/share/pixmaps/galeon.png
/usr/share/gnome/help/galeon-manual/*
/usr/share/omf/galeon/*
/usr/share/man/man1/*
%dir /usr/share/galeon
%dir /usr/lib/galeon
%dir /usr/share/sounds/galeon
%dir /usr/share/gnome/help/galeon-manual
%dir /usr/share/omf/galeon


%post
/usr/bin/galeon-config-tool --fix-gconf-permissions
/usr/bin/galeon-config-tool --pkg-install-schemas
env PATH=/usr/bin:${PATH} scrollkeeper-update >/dev/null 2>&1

# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n galeon-1.2.6
    ;;
all)
%setup  -q -n galeon-1.2.6
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%patch -p1 -P 0
%patch -p1 -P 1
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    automake --gnu --add-missing --include-deps;CXXFLAGS="${CFLAGS}" LDFLAGS="-ldl" ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var --with-mozilla-libs=/usr/lib/mozilla-1.0.1 --with-mozilla-includes=/usr/include/mozilla-1.0.1 --with-nspr-includes=/usr/include/mozilla-1.0.1/nspr --with-mozilla-home=/usr/lib/mozilla-1.0.1 --disable-install-schemas --disable-nautilus-view --disable-werror --with-mozilla-snapshot=1.0
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install prefix=${DESTDIR}/usr sysconfdir=${DESTDIR}/etc mandir=${DESTDIR}/usr/share/man infodir=${DESTDIR}/usr/share/info localstatedir=${DESTDIR}/var
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Mon Sep 16 2002 Ximian, Inc.

- Version: 1.2.6-1.ximian.1
- Summary: New build.
- New automated build.

* Wed Aug 21 2002 Ximian, Inc.

- Version: 1.2.5.0.cvs-1.ximian.1
- Summary: New build.
- New automated build.

* Tue Jun 18 2002 Ximian, Inc.

- Version: 1.2.5-2.ximian.2
- Summary: New build.
- New automated build.

* Tue Mar 26 2002 Ximian, Inc.

- Version: 1.2.0-1.ximian.2
- Summary: New build.
- New automated build.

